<URL: http://bugs.freeciv.org/Ticket/Display.html?id=39441 >

2007/7/11, William Allen Simpson <[EMAIL PROTECTED]>:
>
> <URL: http://bugs.freeciv.org/Ticket/Display.html?id=39441 >
>
> Ulrik Sverdrup wrote:
> > <URL: http://bugs.freeciv.org/Ticket/Display.html?id=19044 >
> >
> > Just for information, this ticket is open for 2.0.x:
> > #19044: 2.0 => 2.1 forward compatibility
> >
> No, it should be open for 2.1.  Forward means (as the subject says)
> from 2.0 to 2.1.  (This is also known as "backward" compatibility.)
>
> Of course, the subject could be wrong as written.
>
> The other way, 2.1 => 2.0 would be "reverse" compatibility.  I have no
> interest in retrofitting old versions to read newer versions.
>
> Indeed, 2.1 doesn't save map.l lines, so 2.0 will exit with error.
>
> We should be able to read old savegames, but not those that are
> completely incompatible.  AFAIK, the current cutoff is 1.14.x.

I'm getting confused! :)

But, the content of the ticket I linked to is about changing S2_0 to
read 2.1 savegames better. So it is (was?) a bug for 2.0.x, invalid or
not.

Ulrik Sverdrup



_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to